- return if group.marked_for_deletion?
- remove_form_id = local_assigns.fetch(:remove_form_id, nil)
- date = permanent_deletion_date_formatted(group, Time.now.utc)

= render Pajamas::CardComponent.new(card_options: { class: 'gl-new-card' }, header_options: { class: 'gl-new-card-header' }, body_options: { class: 'gl-new-card-body gl-bg-red-50 gl-px-5 gl-py-4' }) do |c|
  - c.with_header do
    .gl-new-card-title-wrapper
      %h4.gl-new-card-title.danger-title= _('Delete group')

  - c.with_body do
    = form_tag(group, method: :delete, id: remove_form_id) do
      %p
        = html_escape(_("This action will place this group, including its subgroups and projects, in a pending deletion state for %{deletion_delayed_period} days, and delete it permanently on %{date}.")) % { date: tag.strong(date), deletion_delayed_period: deletion_adjourned_period }

      = render 'groups/settings/remove_button', group: group, remove_form_id: remove_form_id
